EDIT - task #9624
task # 4338 (In Progress): [MASTER] Handle abbreviated title and protected cache correctly in TaxEditor

Centralize team formatting and fix et al. position handling
05/14/2021 07:43 PM - Andreas Mller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Mller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.23

Severity: normal

Description

Formatting of teams is done at many places in cdmlib (TeamDefaultCacheStrategy, NomenclaturalSourceFormatting,
TaxonBaseDefaultCacheStrategy, TaxonRelationshipFormatter, CdmLight export, fieldUnit formatting, ...).

As the functionality is more or less always the same (handling of et al. at a certain position or without, handling of hasMoreMembers,
selection of best matching field/cache) it should be cetralized. Best place for this is the TeamDefaultCacheStrategy.

Also there are requests to not use et al. for bibliographic references anymore at a certain position (#9326, #7305). This can be fixed
together.

Related issues:

Related to EDIT - feature request #6662: Adapt person formatting, set initial... Closed
Related to EDIT - bug #6960: Improve reference cachestrategy Duplicate
Has duplicate EDIT - feature request #9326: Show all authors in bibliographic... Closed
Has duplicate EDIT - feature request #7305: [Dicuss] searching for authorteam... Closed
Has duplicate EDIT - bug #7817: Team caches should not show '& al.' Duplicate

Associated revisions

Revision 0¢763d5f - 05/14/2021 07:54 PM - Andreas Miiller

ref #9624, ref #7305, ref #9326 refactor team formatting all over cdmlib (including et al. handling for biblio references)

Revision 275b7d80 - 05/15/2021 12:31 AM - Andreas Miiller
ref #9624 fix EMPTY_TEAM issue for non-titleCache formatting of teams

Revision 3231a5¢3 - 05/17/2021 02:29 PM - Andreas Miiller

ref #9624 use default short citation for TaxonRelationshipFormatter (e.g. MAN or ppSyns citations)

Revision e806a768 - 05/17/2021 04:44 PM - Andreas Miiller

ref #9624 use short citation without brackets in cdmlight reference export

Revision 036a4353 - 05/17/2021 06:04 PM - Andreas Miiller

ref #9624, ref #7305, ref #9326 change max number of nomencl. authors to unlimited

Revision €9129942 - 05/17/2021 06:04 PM - Andreas Miiller

ref #9624 use short citation without brackets in cdmlight reference export (cont.)

History

#1 - 05/14/2021 07:43 PM - Andreas Miller

- Has duplicate feature request #9326: Show all authors in bibliographic references added

#2 - 05/14/2021 07:43 PM - Andreas Miiller

- Has duplicate feature request #7305: [Dicuss] searching for authorteam with more than three members is incomplete added

#3 - 05/14/2021 08:01 PM - Andreas Miller
- Related to feature request #6662: Adapt person formatting, set initials behind lastname added

#4 - 05/14/2021 09:14 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

This is generally fixed. Fine tuning is still required for correct et al. positions. Email was sent to users.

#5 - 05/14/2021 09:14 PM - Andreas Miuller

- Subject changed from Cetralize team formatting and fix et al. position handling to Centralize team formatting and fix et al. position handling

#6 - 05/14/2021 09:26 PM - Andreas Miuller

- Tags set to formatting

#7 - 05/15/2021 12:29 AM - Andreas Miiller
- Related to bug #6960: Improve reference cachestrategy added

#8 - 05/15/2021 02:14 AM - Andreas Miiller
- Parent task set to #4338

#9 - 05/17/2021 09:54 AM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.23

#10 - 05/17/2021 02:27 PM - Andreas Miiller

AM: ... wird bei den err. sec. (und auch syn. sec. von pp-Synonymen) das ,Kurzzitat“ noch mit >2 Autoren angezeigt. Auch hier die Frage, ob es evtl.
nur historisch entstanden ist damals und eigentlich das normale Kurzzitat mit max. 2 Autoren verwendet werden kann/soll.

WGB: Es gibt m.A.n. keinen Grund, warum von der 2-Autoren-Regel abgewichen werden sollte (im Output) — ist, wie gesagt aber bléd, wenn in der
Bibliographie dann uneindeutig (da helfen 3 Autoren aber auch nicht).

AM: ok, dann passe ich das an. In der Bibliographie erscheint ja sowieso das Vollzitat, das sollte damit eigentlich nichts zu tun haben, oder? Im Portal
sowieso nicht, da es da ja verlinkt wird und nicht auf String-Vergleich basiert.

#11 - 06/11/2021 01:14 PM - Andreas Miiller
- Has duplicate bug #7817: Team caches should not show '& al.' added

#12 - 07/02/2021 12:53 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

| think we can close this ticket. If there are open issues we should open new tickets.
